SELECT m.Ident AS MeasId, l.Ident AS LocId, l.UrsiCode AS URSI, m.TimeUT, CAST(m.TimeUT AS CHAR(24)), p1.DPIndex, p1.DPName, m.ProgramNo, 
    m.ScheduleNo, m.LowerFreqHz, m.UpperFreqHz, lt.Ident AS TxD2DId, lt.UrsiCode AS TxD2DURSI, p2.DPIndex AS AppDPIndex, p2.DPName AS AppDPName, d.Length
    FROM Measurement m JOIN MeasData d ON d.MeasurementId=m.Ident 
        JOIN Location l ON l.Ident=m.LocationId 
        JOIN TxStation tx ON tx.Ident=m.TxStationId 
        JOIN Location lt ON lt.Ident=tx.LocationId 
        JOIN DataProc p1 ON p1.OpModeId = m.OpModeId AND p1.DPIndex = m.DPIndex
        JOIN DataProc p2 ON p2.OpModeId = d.OpModeId AND p2.DPIndex = d.DPIndexApp
        WHERE m.OpModeId=1 AND m.TxModeId=4